tests: disable test-convert-darcs properly for darcs 2
authorMads Kiilerich <mads@kiilerich.com>
Sun, 23 Nov 2008 20:16:29 +0100
changeset 7425 14ed6662af48
parent 7424 05a3f2802b13
child 7426 df0962f6c54e
tests: disable test-convert-darcs properly for darcs 2 The x bit was disabled without notice in 8046f0a070a6
tests/test-convert-darcs
--- a/tests/test-convert-darcs	Sun Nov 23 18:17:02 2008 +0100
+++ b/tests/test-convert-darcs	Sun Nov 23 20:16:29 2008 +0100
@@ -1,6 +1,12 @@
 #!/bin/sh
 
 "$TESTDIR/hghave" darcs || exit 80
+if darcs --version 2>&1 | grep '^2\.' > /dev/null; then
+    # FIXME: darcs 2 will fail with
+    ### Abort: timeout after 180 seconds.
+    echo 'skipped: test currently disabled for darcs 2'
+    exit 80
+fi
 
 echo "[extensions]" >> $HGRCPATH
 echo "convert=" >> $HGRCPATH